<Type Name="CodeGenerator" FullName="System.CodeDom.Compiler.CodeGenerator">
  <TypeSignature Language="C#" Value="public abstract class CodeGenerator : ICodeGenerator" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.CodeDom.Compiler.ICodeGenerator</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="IsValidLanguageIndependentIdentifier">
      <MemberSignature Language="C#" Value="public static bool IsValidLanguageIndependentIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="QuoteSnippetString">
      <MemberSignature Language="C#" Value="protected virtual string QuoteSnippetString (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetTypeOutput">
      <MemberSignature Language="C#" Value="protected virtual string GetTypeOutput (CodeDom.CodeTypeReference value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.CodeDom.CodeTypeReference" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'CodeDom.CodeTypeReference'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateValidIdentifier">
      <MemberSignature Language="C#" Value="protected virtual string CreateValidIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateEscapedIdentifier">
      <MemberSignature Language="C#" Value="protected virtual string CreateEscapedIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ValidateIdentifier">
      <MemberSignature Language="C#" Value="protected virtual void ValidateIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsValidIdentifier">
      <MemberSignature Language="C#" Value="protected virtual bool IsValidIdentifier (string value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Supports">
      <MemberSignature Language="C#" Value="protected virtual bool Supports (GeneratorSupport support);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="support" Type="System.CodeDom.Compiler.GeneratorSupport" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="support">To be added: an object of type 'GeneratorSupport'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateAttributeDeclarationsEnd">
      <MemberSignature Language="C#" Value="protected virtual void GenerateAttributeDeclarationsEnd (CodeDom.CodeAttributeDeclarationCollection attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.CodeAttributeDeclarationCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.CodeAttributeDeclarationCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateAttributeDeclarationsStart">
      <MemberSignature Language="C#" Value="protected virtual void GenerateAttributeDeclarationsStart (CodeDom.CodeAttributeDeclarationCollection attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.CodeAttributeDeclarationCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.CodeAttributeDeclarationCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespaceImport">
      <MemberSignature Language="C#" Value="protected virtual void GenerateNamespaceImport (CodeDom.CodeNamespaceImport e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespaceImport" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespaceImport'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespaceEnd">
      <MemberSignature Language="C#" Value="protected virtual void GenerateNamespaceEnd (CodeDom.CodeNamespace e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespaceStart">
      <MemberSignature Language="C#" Value="protected virtual void GenerateNamespaceStart (CodeDom.CodeNamespace e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCompileUnitEnd">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCompileUnitEnd (CodeDom.CodeCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCompileUnitStart">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCompileUnitStart (CodeDom.CodeCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypeEnd">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTypeEnd (CodeDom.CodeTypeDeclaration e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypeStart">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTypeStart (CodeDom.CodeTypeDeclaration e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypeConstructor">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTypeConstructor (CodeDom.CodeTypeConstructor e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeConstructor" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeConstructor'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateConstructor">
      <MemberSignature Language="C#" Value="protected virtual void GenerateConstructor (CodeDom.CodeConstructor e, CodeDom.CodeTypeDeclaration c);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeConstructor" />
		<Parameter Name="c" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeConstructor'</param>
        <param name="c">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateProperty">
      <MemberSignature Language="C#" Value="protected virtual void GenerateProperty (CodeDom.CodeMemberProperty e, CodeDom.CodeTypeDeclaration c);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMemberProperty" />
		<Parameter Name="c" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMemberProperty'</param>
        <param name="c">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateMethod">
      <MemberSignature Language="C#" Value="protected virtual void GenerateMethod (CodeDom.CodeMemberMethod e, CodeDom.CodeTypeDeclaration c);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMemberMethod" />
		<Parameter Name="c" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMemberMethod'</param>
        <param name="c">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateEntryPointMethod">
      <MemberSignature Language="C#" Value="protected virtual void GenerateEntryPointMethod (CodeDom.CodeEntryPointMethod e, CodeDom.CodeTypeDeclaration c);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeEntryPointMethod" />
		<Parameter Name="c" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeEntryPointMethod'</param>
        <param name="c">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateSnippetMember">
      <MemberSignature Language="C#" Value="protected virtual void GenerateSnippetMember (CodeDom.CodeSnippetTypeMember e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeSnippetTypeMember" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeSnippetTypeMember'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateField">
      <MemberSignature Language="C#" Value="protected virtual void GenerateField (CodeDom.CodeMemberField e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMemberField" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMemberField'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateEvent">
      <MemberSignature Language="C#" Value="protected virtual void GenerateEvent (CodeDom.CodeMemberEvent e, CodeDom.CodeTypeDeclaration c);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMemberEvent" />
		<Parameter Name="c" Type="System.CodeDom.CodeTypeDeclaration" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMemberEvent'</param>
        <param name="c">To be added: an object of type 'CodeDom.CodeTypeDeclaration'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateLinePragmaEnd">
      <MemberSignature Language="C#" Value="protected virtual void GenerateLinePragmaEnd (CodeDom.CodeLinePragma e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeLinePragma" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeLinePragma'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateLinePragmaStart">
      <MemberSignature Language="C#" Value="protected virtual void GenerateLinePragmaStart (CodeDom.CodeLinePragma e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeLinePragma" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeLinePragma'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateVariableDeclarationStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateVariableDeclarationStatement (CodeDom.CodeVariableDeclarationStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeVariableDeclarationStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeVariableDeclarationStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateSnippetStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateSnippetStatement (CodeDom.CodeSnippetStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeSnippetStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeSnippetStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateLabeledStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateLabeledStatement (CodeDom.CodeLabeledStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeLabeledStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeLabeledStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateGotoStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateGotoStatement (CodeDom.CodeGotoStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeGotoStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeGotoStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateRemoveEventStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateRemoveEventStatement (CodeDom.CodeRemoveEventStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeRemoveEventStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeRemoveEventStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateAttachEventStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateAttachEventStatement (CodeDom.CodeAttachEventStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeAttachEventStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeAttachEventStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateAssignStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateAssignStatement (CodeDom.CodeAssignStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeAssignStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeAssignStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTryCatchFinallyStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTryCatchFinallyStatement (CodeDom.CodeTryCatchFinallyStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTryCatchFinallyStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTryCatchFinallyStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateConditionStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateConditionStatement (CodeDom.CodeConditionStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeConditionStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeConditionStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateMethodReturnStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateMethodReturnStatement (CodeDom.CodeMethodReturnStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMethodReturnStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMethodReturnStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateComment">
      <MemberSignature Language="C#" Value="protected virtual void GenerateComment (CodeDom.CodeComment e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeComment" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeComment'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCommentStatements">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCommentStatements (CodeDom.CodeCommentStatementCollection e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCommentStatementCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCommentStatementCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCommentStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCommentStatement (CodeDom.CodeCommentStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCommentStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCommentStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateThrowExceptionStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateThrowExceptionStatement (CodeDom.CodeThrowExceptionStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeThrowExceptionStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeThrowExceptionStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateIterationStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateIterationStatement (CodeDom.CodeIterationStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeIterationStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeIterationStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateExpressionStatement">
      <MemberSignature Language="C#" Value="protected virtual void GenerateExpressionStatement (CodeDom.CodeExpressionStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeExpressionStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeExpressionStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypeOfExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTypeOfExpression (CodeDom.CodeTypeOfExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeOfExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeOfExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypeReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateTypeReferenceExpression (CodeDom.CodeTypeReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeTypeReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeTypeReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateThisReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateThisReferenceExpression (CodeDom.CodeThisReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeThisReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeThisReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GeneratePropertySetValueReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GeneratePropertySetValueReferenceExpression (CodeDom.CodePropertySetValueReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodePropertySetValueReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodePropertySetValueReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GeneratePropertyReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GeneratePropertyReferenceExpression (CodeDom.CodePropertyReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodePropertyReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodePropertyReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateDecimalValue">
      <MemberSignature Language="C#" Value="protected virtual void GenerateDecimalValue (decimal d);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="d" Type="System.Decimal" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="d">To be added: an object of type 'decimal'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateDoubleValue">
      <MemberSignature Language="C#" Value="protected virtual void GenerateDoubleValue (double d);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="d" Type="System.Double" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="d">To be added: an object of type 'double'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateSingleFloatValue">
      <MemberSignature Language="C#" Value="protected virtual void GenerateSingleFloatValue (float s);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="s" Type="System.Single" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="s">To be added: an object of type 'float'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GeneratePrimitiveExpression">
      <MemberSignature Language="C#" Value="protected virtual void GeneratePrimitiveExpression (CodeDom.CodePrimitiveExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodePrimitiveExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodePrimitiveExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateDirectionExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateDirectionExpression (CodeDom.CodeDirectionExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeDirectionExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeDirectionExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateParameterDeclarationExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateParameterDeclarationExpression (CodeDom.CodeParameterDeclarationExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeParameterDeclarationExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeParameterDeclarationExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateObjectCreateExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateObjectCreateExpression (CodeDom.CodeObjectCreateExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeObjectCreateExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeObjectCreateExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateDelegateInvokeExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateDelegateInvokeExpression (CodeDom.CodeDelegateInvokeExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeDelegateInvokeExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeDelegateInvokeExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateEventReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateEventReferenceExpression (CodeDom.CodeEventReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeEventReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeEventReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateMethodReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateMethodReferenceExpression (CodeDom.CodeMethodReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMethodReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMethodReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateMethodInvokeExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateMethodInvokeExpression (CodeDom.CodeMethodInvokeExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeMethodInvokeExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeMethodInvokeExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateSnippetExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateSnippetExpression (CodeDom.CodeSnippetExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeSnippetExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeSnippetExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateArrayIndexerExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateArrayIndexerExpression (CodeDom.CodeArrayIndexerExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeArrayIndexerExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeArrayIndexerExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateIndexerExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateIndexerExpression (CodeDom.CodeIndexerExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeIndexerExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeIndexerExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateVariableReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateVariableReferenceExpression (CodeDom.CodeVariableReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeVariableReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeVariableReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateArgumentReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateArgumentReferenceExpression (CodeDom.CodeArgumentReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeArgumentReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeArgumentReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateFieldReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateFieldReferenceExpression (CodeDom.CodeFieldReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeFieldReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeFieldReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateDelegateCreateExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateDelegateCreateExpression (CodeDom.CodeDelegateCreateExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeDelegateCreateExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeDelegateCreateExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCastExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCastExpression (CodeDom.CodeCastExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCastExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCastExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ContinueOnNewLine">
      <MemberSignature Language="C#" Value="protected virtual void ContinueOnNewLine (string st);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="st" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="st">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateBinaryOperatorExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateBinaryOperatorExpression (CodeDom.CodeBinaryOperatorExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeBinaryOperatorExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeBinaryOperatorExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateBaseReferenceExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateBaseReferenceExpression (CodeDom.CodeBaseReferenceExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeBaseReferenceExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeBaseReferenceExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateArrayCreateExpression">
      <MemberSignature Language="C#" Value="protected virtual void GenerateArrayCreateExpression (CodeDom.CodeArrayCreateExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeArrayCreateExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeArrayCreateExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputParameters">
      <MemberSignature Language="C#" Value="protected virtual void OutputParameters (CodeDom.CodeParameterDeclarationExpressionCollection parameters);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="parameters" Type="System.CodeDom.CodeParameterDeclarationExpressionCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="parameters">To be added: an object of type 'CodeDom.CodeParameterDeclarationExpressionCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputOperator">
      <MemberSignature Language="C#" Value="protected virtual void OutputOperator (CodeDom.CodeBinaryOperatorType op);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="op" Type="System.CodeDom.CodeBinaryOperatorType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="op">To be added: an object of type 'CodeDom.CodeBinaryOperatorType'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputExpressionList">
      <MemberSignature Language="C#" Value="protected virtual void OutputExpressionList (CodeDom.CodeExpressionCollection expressions, bool newlineBetweenItems);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="expressions" Type="System.CodeDom.CodeExpressionCollection" />
		<Parameter Name="newlineBetweenItems" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="expressions">To be added: an object of type 'CodeDom.CodeExpressionCollection'</param>
        <param name="newlineBetweenItems">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputExpressionList">
      <MemberSignature Language="C#" Value="protected virtual void OutputExpressionList (CodeDom.CodeExpressionCollection expressions);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="expressions" Type="System.CodeDom.CodeExpressionCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="expressions">To be added: an object of type 'CodeDom.CodeExpressionCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputIdentifier">
      <MemberSignature Language="C#" Value="protected virtual void OutputIdentifier (string ident);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="ident" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="ident">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputTypeNamePair">
      <MemberSignature Language="C#" Value="protected virtual void OutputTypeNamePair (CodeDom.CodeTypeReference typeRef, string name);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="typeRef" Type="System.CodeDom.CodeTypeReference" />
		<Parameter Name="name" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="typeRef">To be added: an object of type 'CodeDom.CodeTypeReference'</param>
        <param name="name">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputTypeAttributes">
      <MemberSignature Language="C#" Value="protected virtual void OutputTypeAttributes (Reflection.TypeAttributes attributes, bool isStruct, bool isEnum);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.Reflection.TypeAttributes" />
		<Parameter Name="isStruct" Type="System.Boolean" />
		<Parameter Name="isEnum" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'Reflection.TypeAttributes'</param>
        <param name="isStruct">To be added: an object of type 'bool'</param>
        <param name="isEnum">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputType">
      <MemberSignature Language="C#" Value="protected virtual void OutputType (CodeDom.CodeTypeReference typeRef);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="typeRef" Type="System.CodeDom.CodeTypeReference" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="typeRef">To be added: an object of type 'CodeDom.CodeTypeReference'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputMemberScopeModifier">
      <MemberSignature Language="C#" Value="protected virtual void OutputMemberScopeModifier (CodeDom.MemberAttributes attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.MemberAttributes" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.MemberAttributes'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputMemberAccessModifier">
      <MemberSignature Language="C#" Value="protected virtual void OutputMemberAccessModifier (CodeDom.MemberAttributes attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.MemberAttributes" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.MemberAttributes'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputFieldScopeModifier">
      <MemberSignature Language="C#" Value="protected virtual void OutputFieldScopeModifier (CodeDom.MemberAttributes attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.MemberAttributes" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.MemberAttributes'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputDirection">
      <MemberSignature Language="C#" Value="protected virtual void OutputDirection (CodeDom.FieldDirection dir);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dir" Type="System.CodeDom.FieldDirection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dir">To be added: an object of type 'CodeDom.FieldDirection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputAttributeArgument">
      <MemberSignature Language="C#" Value="protected virtual void OutputAttributeArgument (CodeDom.CodeAttributeArgument arg);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="arg" Type="System.CodeDom.CodeAttributeArgument" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="arg">To be added: an object of type 'CodeDom.CodeAttributeArgument'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OutputAttributeDeclarations">
      <MemberSignature Language="C#" Value="protected virtual void OutputAttributeDeclarations (CodeDom.CodeAttributeDeclarationCollection attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="attributes" Type="System.CodeDom.CodeAttributeDeclarationCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="attributes">To be added: an object of type 'CodeDom.CodeAttributeDeclarationCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespace">
      <MemberSignature Language="C#" Value="protected virtual void GenerateNamespace (CodeDom.CodeNamespace e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateCompileUnit">
      <MemberSignature Language="C#" Value="protected virtual void GenerateCompileUnit (CodeDom.CodeCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateSnippetCompileUnit">
      <MemberSignature Language="C#" Value="protected virtual void GenerateSnippetCompileUnit (CodeDom.CodeSnippetCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeSnippetCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeSnippetCompileUnit'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespaces">
      <MemberSignature Language="C#" Value="protected void GenerateNamespaces (CodeDom.CodeCompileUnit e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeCompileUnit" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeCompileUnit'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateTypes">
      <MemberSignature Language="C#" Value="protected void GenerateTypes (CodeDom.CodeNamespace e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateExpression">
      <MemberSignature Language="C#" Value="protected void GenerateExpression (CodeDom.CodeExpression e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeExpression" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeExpression'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateNamespaceImports">
      <MemberSignature Language="C#" Value="protected void GenerateNamespaceImports (CodeDom.CodeNamespace e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeNamespace" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeNamespace'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateStatement">
      <MemberSignature Language="C#" Value="protected void GenerateStatement (CodeDom.CodeStatement e);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="e" Type="System.CodeDom.CodeStatement" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="e">To be added: an object of type 'CodeDom.CodeStatement'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GenerateStatements">
      <MemberSignature Language="C#" Value="protected void GenerateStatements (CodeDom.CodeStatementCollection stms);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="stms" Type="System.CodeDom.CodeStatementCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="stms">To be added: an object of type 'CodeDom.CodeStatementCollection'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected CodeGenerator ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeGenerator'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CurrentTypeName">
      <MemberSignature Language="C#" Value="protected string CurrentTypeName { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CurrentMember">
      <MemberSignature Language="C#" Value="protected CodeDom.CodeTypeMember CurrentMember { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.CodeTypeMember</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeDom.CodeTypeMember'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CurrentMemberName">
      <MemberSignature Language="C#" Value="protected string CurrentMemberName { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsCurrentInterface">
      <MemberSignature Language="C#" Value="protected bool IsCurrentInterface { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsCurrentClass">
      <MemberSignature Language="C#" Value="protected bool IsCurrentClass { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsCurrentStruct">
      <MemberSignature Language="C#" Value="protected bool IsCurrentStruct { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsCurrentEnum">
      <MemberSignature Language="C#" Value="protected bool IsCurrentEnum { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="IsCurrentDelegate">
      <MemberSignature Language="C#" Value="protected bool IsCurrentDelegate { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Indent">
      <MemberSignature Language="C#" Value="protected int Indent { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="NullToken">
      <MemberSignature Language="C#" Value="protected virtual string NullToken { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Output">
      <MemberSignature Language="C#" Value="protected IO.TextWriter Output { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.IO.TextWriter</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'IO.TextWriter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Options">
      <MemberSignature Language="C#" Value="protected CodeGeneratorOptions Options { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.CodeDom.Compiler.CodeGeneratorOptions</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'CodeGeneratorOptions'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  <Member MemberName="ValidateIdentifiers">
      <MemberSignature Language="C#" Value="public static void ValidateIdentifiers(System.CodeDom.CodeObject e)" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="e" Type="System.CodeDom.CodeObject" />
      </Parameters>
      <Docs>
        <summary>To be added.</summary>
        <param name="e">To be added.</param>
        <remarks>To be added.</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
